%if (0%{?rhel} && 0%{?rhel} < 6)
%global tomcat tomcat5
%else
%global tomcat tomcat6
%endif

Name:       satellite-branding
Version:    5.4.0.12
Release:    1%{?dist}
Summary:    Satellite branding data

Group:      Applications/Internet
License:    GPLv2
URL:        https://fedorahosted.org/spacewalk/
Source0:    %{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch
Provides:   spacewalk-branding

BuildRequires: java-devel >= 1.5.0


%description
Satellite specific branding, CSS, and images.

%package -n rhn-proxy-branding
Summary:	The HTML component for RHN Proxy
Group:		Applications/Internet
Obsoletes:	rhns-proxy-html < 5.3.0
Provides:	rhns-proxy-html = %{version}
Provides:	spacewalk-proxy-html = %{version}
Requires:	httpd

%description -n rhn-proxy-branding
This package contains placeholder html pages, which the RHN Proxy
display, if you navigate to it using your browser.

%prep
%setup -q

%build

javac java/code/src/com/redhat/rhn/branding/strings/StringPackage.java
rm -f java/code/src/com/redhat/rhn/branding/strings/StringPackage.java
jar -cf java-branding.jar -C java/code/src com

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_var}/www/html
install -d -m 755 %{buildroot}%{_var}/www/html/_rhn_proxy
install -d -m 755 %{buildroot}%{_var}/www/html/nav
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_datadir}/spacewalk
install -d -m 755 %{buildroot}%{_datadir}/rhn/lib/
install -d -m 755 %{buildroot}%{_var}/lib/%{tomcat}/webapps/rhn/WEB-INF/lib/
install -d -m 755 %{buildroot}%{_sysconfdir}/rhn
install -d -m 755 %{buildroot}%{_sysconfdir}/rhn/default
cp -R css %{buildroot}%{_var}/www/html/
cp -R img %{buildroot}%{_var}/www/html/
install -m 644 _rhn_proxy/* %{buildroot}%{_var}/www/html/_rhn_proxy/
# Appplication expects two favicon's for some reason, copy it so there's just
# one in source:
cp img/favicon.ico %{buildroot}%{_var}/www/html/
install -m 644 img/favicon.ico %{buildroot}%{_var}/www/html/_rhn_proxy
cp -R templates %{buildroot}%{_var}/www/html/
cp -R styles %{buildroot}%{_var}/www/html/nav/
cp -R setup  %{buildroot}%{_datadir}/spacewalk/
cp -R java-branding.jar %{buildroot}%{_datadir}/rhn/lib/
ln -s %{_datadir}/rhn/lib/java-branding.jar %{buildroot}%{_var}/lib/%{tomcat}/webapps/rhn/WEB-INF/lib/java-branding.jar
cp conf/rhn_docs.conf %{buildroot}%{_sysconfdir}/rhn/default/rhn_docs.conf
ln -s %{_bindir}/spacewalk-debug %{buildroot}%{_bindir}/satellite-debug

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%dir /%{_var}/www/html/css
/%{_var}/www/html/css/*
%dir /%{_var}/www/html/img
/%{_var}/www/html/img/*
/%{_var}/www/html/favicon.ico
%dir /%{_var}/www/html/templates
/%{_var}/www/html/templates/*
/%{_var}/www/html/templates/.htaccess
%dir /%{_var}/www/html/nav/styles
/%{_var}/www/html/nav/styles/*
%{_datadir}/spacewalk/
%{_datadir}/rhn/lib/java-branding.jar
%{_var}/lib/%{tomcat}/webapps/rhn/WEB-INF/lib/java-branding.jar
%{_sysconfdir}/rhn/default/rhn_docs.conf
%{_bindir}/satellite-debug

%files -n rhn-proxy-branding
%defattr(-,root,root,-)
%dir %{_var}/www/html/_rhn_proxy
%config(noreplace) %{_var}/www/html/_rhn_proxy/index.html
%{_var}/www/html/_rhn_proxy/*.ico
%{_var}/www/html/_rhn_proxy/*.png


%changelog
* Wed Apr 22 2015 Tomas Kasparek <tkasparek@redhat.com> 5.4.0.12-1
- RHN Satellite 5.4.1 and RHN Proxy 5.4.1 are now EOL.
- updated translations

* Wed Apr 06 2011 Michael Mraka <michael.mraka@redhat.com> 5.4.0.10-1
- updated version to 5.4.1

* Wed Mar 09 2011 Tomas Lestach <tlestach@redhat.com> 5.4.0.9-1
- define tomcat macro for satellite-branding.spec (tlestach@redhat.com)

* Mon Sep 27 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.8-1
- fixing syntax issues from copy/paste (shughes@redhat.com)

* Mon Sep 27 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.7-1
- 630585 add chat link for sat branding (shughes@redhat.com)

* Mon Sep 27 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.6-1
- 627920 add cfg list icon to branding (shughes@redhat.com)

* Fri Sep 17 2010 Partha Aji <paji@redhat.com> 5.4.0.5-1
- 592415 - Merged the Dup profiles css from spacewalk (paji@redhat.com)

* Tue Sep 14 2010 Partha Aji <paji@redhat.com> 5.4.0.4-1
- 627920 - Added a larger config icon for symlinks. Thanks to Joshua Roys
  (paji@redhat.com)

* Fri Sep 10 2010 Miroslav Suchý <msuchy@redhat.com> 5.4.0.3-1
- Drop rhn-browser-css-compliance and browser_css_compliance and always assume
  some CSS compliance.

* Wed Sep 01 2010 Shannon Hughes <shughes@redhat.com> 5.4.0.2-1
- 628621 updated perl pxt footer copyright txt (shughes@redhat.com)


* Thu Aug 19 2010 Michael Mraka <michael.mraka@redhat.com> 5.4.0.1-1
- bumped web version to 5.4.0
- 572714 - css fix for docs

* Thu Aug 19 2010 Michael Mraka <michael.mraka@redhat.com>
- 572714 - css fix for docs (jsherril@redhat.com)

* Wed Jul 08 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.27-1
- 510146 - Update satellite-branding copyright years. (dgoodwin@redhat.com)

* Tue Jun 30 2009 Miroslav Suchý <msuchy@redhat.com> 5.3.0.25-1
- 508710 - make bar on top of page wider, so we do not get empty space on wider displays

* Thu Jun 18 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.24-1
- 505101 - update css so that links are underlined when hovering
  (bbuckingham@redhat.com)
- 501038 - Update stylesheet to mitigate wrapping of long organization names.
  (bbuckingham@redhat.com)

* Wed May 27 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.23-1
- 500806 - limit a:hover to links only, changed to a:link:hover (jesusr@redhat.com)
- update to web ui strings (shughes@redhat.com)

* Tue May 19 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.22-1
- Package rebuild

* Thu May 14 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.21-1
- 472545 - updated sat custom strings for webui i18n (shughes@redhat.com)

* Wed May 06 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.20-1
- 444221 - Update the branding CSS. (paji@redhat.com)
- 484962 - Merge Spacewalk CSS changes in for satellite-branding.
  (dgoodwin@redhat.com)

* Mon Apr 27 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.19-1
- Revert Beta version back to just 5.3.0. (dgoodwin@redhat.com)

* Wed Apr 22 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.18-1
- 495787 - Allow rhnpush --force for Satellite. (dgoodwin@redhat.com)

* Mon Apr 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.17-1
- 496321 - add Documentation as a search option on perl pages

* Tue Apr 07 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.16-1
- 494475,460136 - remove .feedback from css (jesusr@redhat.com)

* Tue Apr 07 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.15-1
- Modify Satellite web.version to 5.3.0 Beta. (dgoodwin@redhat.com)
* Fri Mar 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.14-1
- removed the slash after buildroot macro
- added install statement to create the bindir

* Fri Mar 20 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.13-1
- added satellite-debug to the files list, and add buildroot macro to symlink

* Thu Mar 19 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.12-1
- adding the satellite-debug link

* Thu Mar 12 2009 Miroslav Suchý <msuchy@redhat.com> 5.3.0.11-1
- migrate rhns-proxy-html to rhn-proxy-branding subpackage

* Wed Feb 18 2009 Brad Buckingham <bbuckingham@redhat.com> 5.3.0.10-1
- adding rhn_docs.conf to enable configurable docs location

* Fri Feb 06 2009 jesus m. rodriguez <jesusr@redhat.com> 5.3.0.9-1
- 447984 - css fix to realign search box in top nav

* Thu Feb 05 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.8-1
- Override web.default_mail_from to reference Satellite.

* Wed Feb 04 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.7-1
- Add /var/www/html/favicon.ico.

* Fri Jan 30 2009 Mike McCune <mmccune@gmail.com> 5.3.0.6-1
- going back to just spacewalk-branding but removing requires: spacewalk-html

* Fri Jan 30 2009 Miroslav Suchý <msuchy@redhat.com> 5.3.0.5-1
- 483058 - subscribe to proxy channel during proxy activation

* Wed Jan 28 2009 Mike McCune <mmccune@gmail.com> 5.3.0.4-1
- split out branding jar into its own subpackage.

* Wed Jan 21 2009 Michael Mraka <michael.mraka@redhat.com> 5.3.0.3-1
- added java stuff

* Thu Jan 08 2009 Devan Goodwin <dgoodwin@redhat.com> 5.3.0.2-1
- Re-versioning to 5.3.0.1.

* Mon Dec 22 2008 Michael Mraka <michael.mraka@redhat.com>
- added satellite-branding.conf (product_name and product_version)

* Thu Sep 18 2008 Devan Goodwin <dgoodwin@redhat.com> 5.3.0-2
- Adding Provides for spacewalk-branding.

* Mon Aug 25 2008 Devan Goodwin <dgoodwin@redhat.com> 5.3.0-1
- Initial packaging of Satellite specific branding.

